package com.fjhx.victoriatourist.service;

import com.fjhx.victoriatourist.service.order.OrderInfoService;
import com.fjhx.wms.entity.stock.dto.StockWaitDetailsDto;
import com.fjhx.wms.entity.stock.dto.StockWaitDto;
import com.fjhx.wms.service.WmsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class WmsServiceImpl implements WmsService {
    @Autowired
    OrderInfoService orderInfoService;
    /**
     * 销售订单出库
     */
    @Override
    public void outbound(StockWaitDetailsDto stockWaitDetailsDto) {
        orderInfoService.outbound(stockWaitDetailsDto);
    }

    @Override
    public void outbounds(StockWaitDto stockWaitDto) {
        orderInfoService.outbounds(stockWaitDto);
    }
}
